summaryrefslogtreecommitdiff
path: root/sci-visualization/quickplot
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /sci-visualization/quickplot
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'sci-visualization/quickplot')
-rw-r--r--sci-visualization/quickplot/Manifest1
-rw-r--r--sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch22
-rw-r--r--sci-visualization/quickplot/metadata.xml17
-rw-r--r--sci-visualization/quickplot/quickplot-1.0.1_rc-r1.ebuild52
4 files changed, 92 insertions, 0 deletions
diff --git a/sci-visualization/quickplot/Manifest b/sci-visualization/quickplot/Manifest
new file mode 100644
index 000000000000..ab824c04eef7
--- /dev/null
+++ b/sci-visualization/quickplot/Manifest
@@ -0,0 +1 @@
+DIST quickplot-1.0.1rc.tar.gz 303055 BLAKE2B 52c8b60b0f79171358d81691f8824e39c1e3bafc1c084c3a52037e8cd1148e8bf68027ccc90593eca15fcbee0074d42ad7def1eb9d1f5c656b86e12adb6cfdcc SHA512 9cfaaafb7db379fb43b2975d588464288ac18eb21b3248fb02e5a30b0fa0950313a9818cfec23821046f9819d78255f02dff9970668a4b4ed8c4f452d6df3451
diff --git a/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch b/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch
new file mode 100644
index 000000000000..e88259f0bd24
--- /dev/null
+++ b/sci-visualization/quickplot/files/quickplot-1.0.1_rc-automake.patch
@@ -0,0 +1,22 @@
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -193,7 +193,7 @@
+ endif
+
+ # We look at a sndfile symbol when libquickplot runs
+-libquickplot_la_LIBADD = $(sndfile_LIBS)
++libquickplot_la_LIBADD = $(sndfile_LIBS) -lm
+
+ if QP_DEBUG
+ libquickplot_la_SOURCES += debug_spew.c
+@@ -336,8 +336,8 @@
+ if HAVE_LOCAL_SCREENSHOTS
+
+ install-exec-hook:
+- mkdir -p $(htmldir)
+- cp ScreenShot_* _ScreenShot_* $(htmldir)
++ mkdir -p $(DESTDIR)$(htmldir)
++ cp ScreenShot_* _ScreenShot_* $(DESTDIR)$(htmldir)
+
+ thumbs.htm: mk_thumbs.htm.bash
+ ./mk_thumbs.htm.bash > $@
diff --git a/sci-visualization/quickplot/metadata.xml b/sci-visualization/quickplot/metadata.xml
new file mode 100644
index 000000000000..91b0e739addd
--- /dev/null
+++ b/sci-visualization/quickplot/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ Quickplot is a fast interactive 2D plotter with infinite zooming, value
+ picking, pipe input, and unlimited plots displayed. Quickplot is meant for
+ looking at your data quickly and of secondary importance is making static
+ pictures of your data. It's a data viewer, not a plot editor. It reads
+ ASCII text and sound files. It has lots of command line options, making it
+ very shell script friendly.
+ </longdescription>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/sci-visualization/quickplot/quickplot-1.0.1_rc-r1.ebuild b/sci-visualization/quickplot/quickplot-1.0.1_rc-r1.ebuild
new file mode 100644
index 000000000000..d313cc1d1e51
--- /dev/null
+++ b/sci-visualization/quickplot/quickplot-1.0.1_rc-r1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools desktop
+
+MY_P=${P/_rc/rc}
+
+DESCRIPTION="A fast interactive 2D plotter"
+HOMEPAGE="
+ http://quickplot.sourceforge.net/
+ https://github.com/lanceman2/quickplot"
+SRC_URI="https://github.com/lanceman2/${PN}/archive/${MY_P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_P}"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~ppc ~x86"
+
+RDEPEND="
+ media-libs/libsndfile:=
+ >=sys-libs/readline-0.6.2:0=
+ x11-libs/gtk+:3[X]"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/imagemagick-tools[png]
+ virtual/pkgconfig
+ www-client/lynx
+ dev-vcs/git"
+
+PATCHES=( "${FILESDIR}"/${P}-automake.patch )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-static \
+ --enable-developer
+}
+
+src_install() {
+ default
+
+ make_desktop_entry 'quickplot --no-pipe' Quickplot quickplot Graphics
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}